HttpMethods (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.http

## Class HttpMethods

- java.lang.Object
- - org.eclipse.jetty.http.HttpMethods

-     public class HttpMethods
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BufferCache` | `CACHE`
    `static String` | `CONNECT`
    `static Buffer` | `CONNECT_BUFFER`
    `static int` | `CONNECT_ORDINAL`
    `static String` | `DELETE`
    `static Buffer` | `DELETE_BUFFER`
    `static int` | `DELETE_ORDINAL`
    `static String` | `GET`
    `static Buffer` | `GET_BUFFER`
    `static int` | `GET_ORDINAL`
    `static String` | `HEAD`
    `static Buffer` | `HEAD_BUFFER`
    `static int` | `HEAD_ORDINAL`
    `static String` | `MOVE`
    `static Buffer` | `MOVE_BUFFER`
    `static int` | `MOVE_ORDINAL`
    `static String` | `OPTIONS`
    `static Buffer` | `OPTIONS_BUFFER`
    `static int` | `OPTIONS_ORDINAL`
    `static String` | `POST`
    `static Buffer` | `POST_BUFFER`
    `static int` | `POST_ORDINAL`
    `static String` | `PUT`
    `static Buffer` | `PUT_BUFFER`
    `static int` | `PUT_ORDINAL`
    `static String` | `TRACE`
    `static Buffer` | `TRACE_BUFFER`
    `static int` | `TRACE_ORDINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpMethods()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GET

          public static final String GET

      See Also:
        Constant Field Values

    - #### POST

          public static final String POST

      See Also:
        Constant Field Values

    - #### HEAD

          public static final String HEAD

      See Also:
        Constant Field Values

    - #### PUT

          public static final String PUT

      See Also:
        Constant Field Values

    - #### OPTIONS

          public static final String OPTIONS

      See Also:
        Constant Field Values

    - #### DELETE

          public static final String DELETE

      See Also:
        Constant Field Values

    - #### TRACE

          public static final String TRACE

      See Also:
        Constant Field Values

    - #### CONNECT

          public static final String CONNECT

      See Also:
        Constant Field Values

    - #### MOVE

          public static final String MOVE

      See Also:
        Constant Field Values

    - #### GET_ORDINAL

          public static final int GET_ORDINAL

      See Also:
        Constant Field Values

    - #### POST_ORDINAL

          public static final int POST_ORDINAL

      See Also:
        Constant Field Values

    - #### HEAD_ORDINAL

          public static final int HEAD_ORDINAL

      See Also:
        Constant Field Values

    - #### PUT_ORDINAL

          public static final int PUT_ORDINAL

      See Also:
        Constant Field Values

    - #### OPTIONS_ORDINAL

          public static final int OPTIONS_ORDINAL

      See Also:
        Constant Field Values

    - #### DELETE_ORDINAL

          public static final int DELETE_ORDINAL

      See Also:
        Constant Field Values

    - #### TRACE_ORDINAL

          public static final int TRACE_ORDINAL

      See Also:
        Constant Field Values

    - #### CONNECT_ORDINAL

          public static final int CONNECT_ORDINAL

      See Also:
        Constant Field Values

    - #### MOVE_ORDINAL

          public static final int MOVE_ORDINAL

      See Also:
        Constant Field Values

    - #### CACHE

          public static final BufferCache CACHE

    - #### GET_BUFFER

          public static final Buffer GET_BUFFER

    - #### POST_BUFFER

          public static final Buffer POST_BUFFER

    - #### HEAD_BUFFER

          public static final Buffer HEAD_BUFFER

    - #### PUT_BUFFER

          public static final Buffer PUT_BUFFER

    - #### OPTIONS_BUFFER

          public static final Buffer OPTIONS_BUFFER

    - #### DELETE_BUFFER

          public static final Buffer DELETE_BUFFER

    - #### TRACE_BUFFER

          public static final Buffer TRACE_BUFFER

    - #### CONNECT_BUFFER

          public static final Buffer CONNECT_BUFFER

    - #### MOVE_BUFFER

          public static final Buffer MOVE_BUFFER

  - ### Constructor Detail

    - #### HttpMethods

          public HttpMethods()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.